#
# Conditional build:
%bcond_without	java		# JNI bindings
%bcond_without	kerberos5	# GSSAPI support
%bcond_with	openssl		# OpenSSL instead of GnuTLS (incompatible with some versions)
%bcond_without	oath		# OATH-based one-time password authentication
%bcond_without	pcsc		# Yutoken support via PCSC Lite
%bcond_without	stoken		# Software Token authentication
%bcond_without	static_libs	# static library
#
Summary:	Client for Cisco's AnyConnect SSL VPN and Pulse Connect Secure
Summary(pl.UTF-8):	Klient Cisco AnyConnect SSL VPN i Pulse Connect Secure
Name:		openconnect
Version:	8.10
Release:	1
License:	LGPL v2.1
Group:		Applications/Networking
Source0:	ftp://ftp.infradead.org/pub/openconnect/%{name}-%{version}.tar.gz
# Source0-md5:	d772c3c68afae12252a5377a99352b97
Patch0:		%{name}-am.patch
URL:		http://www.infradead.org/openconnect.html
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
%{!?with_openssl:BuildRequires:	gnutls-devel >= 3.2.10}
BuildRequires:	groff
%{?with_kerberos5:BuildRequires:	heimdal-devel}
%{?with_java:BuildRequires:	jdk}
%{?with_openssl:BuildRequires:	libp11-devel >= 0.4.8}
BuildRequires:	libproxy-devel
%{!?with_openssl:BuildRequires:	libtasn1-devel}
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	lz4-devel >= 1:1.7
%{?with_oath:BuildRequires:	oath-toolkit-devel >= 2.2.0}
%{?with_openssl:BuildRequires:	openssl-devel}
BuildRequires:	p11-kit-devel
%{?with_pcsc:BuildRequires:	pcsc-lite-devel}
BuildRequires:	pkgconfig >= 1:0.27
BuildRequires:	python >= 2
%{?with_stoken:BuildRequires:	stoken-devel}
%{!?with_openssl:BuildRequires:	tpm2-tss-devel}
%{!?with_openssl:BuildRequires:	trousers-devel}
BuildRequires:	zlib-devel
%{!?with_openssl:Requires:	gnutls >= 3.2.10}
%{?with_oath:Requires:	oath-toolkit >= 2.2.0}
Suggests:	vpnc-script
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenConnect is a client for Cisco's AnyConnect SSL VPN and Pulse
Connect Secure.

%description -l pl.UTF-8
OpenConnect jest klientem Cisco AnyConnect SSL VPN i Pulse Connect
Secure.

%package devel
Summary:	Development files for OpenConnect library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki OpenConnect
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_openssl:Requires:	gnutls-devel >= 3.2.10}
Requires:	libproxy-devel
Requires:	libxml2-devel >= 2.0
%{?with_oath:Requires:	oath-toolkit-devel >= 2.2.0}
%{?with_openssl:Requires:	openssl-devel}
%{!?with_openssl:Requires:	p11-kit-devel}
%{?with_stoken:Requires:	stoken-devel}
Requires:	zlib-devel

%description devel
Development files for OpenConnect library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki OpenConnect.

%package static
Summary:	Static OpenConnect library
Summary(pl.UTF-8):	Statyczna biblioteka OpenConnect
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenConnect library.

%description static -l pl.UTF-8
Statyczna biblioteka OpenConnect.

%package -n java-openconnect
Summary:	JNI wrapper for OpenConnect library
Summary(pl.UTF-8):	Interfejs JNI do biblioteki OpenConnect
Group:		Libraries/Java
Requires:	%{name} = %{version}-%{release}

%description -n java-openconnect
JNI wrapper for OpenConnect library.

%description -n java-openconnect -l pl.UTF-8
Interfejs JNI do biblioteki OpenConnect.

%package -n bash-completion-openconnect
Summary:	Bash completion for openconnect arguments
Summary(pl.UTF-8):	Bashowe dopełnianie argumentów polecenia openconnect
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0
%if "%{_rpmversion}" >= "4.6"
BuildArch:	noarch
%endif

%description -n bash-completion-openconnect
Bash completion for openconnect arguments.

%description -n bash-completion-openconnect -l pl.UTF-8
Bashowe dopełnianie argumentów polecenia openconnect.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	%{!?with_kerberos5:--without-gssapi} \
	%{?with_java:--with-java} \
	%{!?with_pcsc:--without-libpcsclite} \
	%{!?with_oath:--without-libpskc} \
	%{!?with_stoken:--without-stoken} \
	--with-system-cafile=/etc/certs/ca-certificates.crt \
	--with-vpnc-script=/usr/bin/vpnc-script \
	%{?with_openssl:--without-gnutls}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libopenconnect.la
# JNI module
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libopenconnect-wrapper.{la,a}

# uses non-Linux /system/bin/sh
%{__rm} $RPM_BUILD_ROOT%{_libexecdir}/openconnect/hipreport-android.sh

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	-n java-openconnect -p /sbin/ldconfig
%postun	-n java-openconnect -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS TODO
%attr(755,root,root) %{_sbindir}/openconnect
%attr(755,root,root) %{_libdir}/libopenconnect.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenconnect.so.5
%dir %{_libexecdir}/openconnect
%attr(755,root,root) %{_libexecdir}/openconnect/csd-post.sh
%attr(755,root,root) %{_libexecdir}/openconnect/csd-wrapper.sh
%attr(755,root,root) %{_libexecdir}/openconnect/hipreport.sh
%attr(755,root,root) %{_libexecdir}/openconnect/tncc-emulate.py
%attr(755,root,root) %{_libexecdir}/openconnect/tncc-wrapper.py
%{_mandir}/man8/openconnect.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenconnect.so
%{_includedir}/openconnect.h
%{_pkgconfigdir}/openconnect.pc
%{_docdir}/openconnect

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libopenconnect.a
%endif

%files -n java-openconnect
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenconnect-wrapper.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenconnect-wrapper.so.0
%attr(755,root,root) %{_libdir}/libopenconnect-wrapper.so

%files -n bash-completion-openconnect
%defattr(644,root,root,755)
%{bash_compdir}/openconnect
%changelog
* Sat Sep 12 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openconnect.git;a=log;h=master

* Sat Sep 12 2020 Jakub Bogusz <qboosh@pld-linux.org> e0fbfaa
- updated to 8.10

* Wed May 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 494bb7e
- kill Android shell script

* Wed May 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 734b82c
- updated to 8.09, added bash-completion- package

* Sat Aug 10 2019 Jan Palus <atler@pld-linux.org> 4e4a7ea
- up to 8.04

* Sun May 19 2019 Jan Palus <atler@pld-linux.org> 66b77bd
- up to 8.03

* Wed Jan 16 2019 Jan Palus <atler@pld-linux.org> 27ce34a
- up to 8.02

* Wed Jan 09 2019 Jan Palus <atler@pld-linux.org> cb956be
- up to 8.01

* Sun Oct 14 2018 Jan Palus <atler@pld-linux.org> cdd2db9
- rel 3 -- rebuild with stoken support

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> e049c3d
- rebuild with gnutls 3.5
- release 2 (by relup.sh)

* Sun Dec 18 2016 Jakub Bogusz <qboosh@pld-linux.org> b16cfe4
- updated to 7.08, added lz4 support

* Sun Mar 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 6c2d664
- full stops

* Fri Mar 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 84d1759
- updated to 7.06

* Wed Mar 11 2015 Adam Osuchowski <adwol@pld-linux.org> 68b1681
- up to 7.05

* Wed Jan 28 2015 Jakub Bogusz <qboosh@pld-linux.org> b4c2783
- updated to 7.04

* Fri Jan 09 2015 Jakub Bogusz <qboosh@pld-linux.org> f1886b9
- updated to 7.03

* Fri Dec 26 2014 Jakub Bogusz <qboosh@pld-linux.org> b42ab3f
- updated to 7.02

* Sat Nov 29 2014 Jakub Bogusz <qboosh@pld-linux.org> b22b36f
- updated to 7.00 (note: new soname)

* Wed Jul 09 2014 Jakub Bogusz <qboosh@pld-linux.org> aa47a45
- updated to 6.00 (note: new soname)
- removed outdated link patch (tss is now really used for TPM storage)

* Tue Feb 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 2bd33d6
- updated to 5.03

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 0e7287d
- updated to 5.02

